package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 油站设备管理对象 station_device_manage
 *
 * @author yijia
 * @date 2021-01-13
 */
public class StationDeviceManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增id */
    private Long deviceId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceNo;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSerialNum;

    /** 绑定油枪号 */
    @Excel(name = "绑定油枪号")
    private String gunNo;

    /** 设备状态：1：在用，2：停用，3：维修、保养 */
    @Excel(name = "设备状态")
    private java.lang.String deviceStatus;

    /** 设备厂家 */
    @Excel(name = "设备厂家")
    private String deviceFactory;

    /**
     * 交换机名字
     */
    private String posFanoutExchange;

    /**
     * 队列名
     */
    private String posQueue;

    public String getPosFanoutExchange() {
        return posFanoutExchange;
    }

    public void setPosFanoutExchange(String posFanoutExchange) {
        this.posFanoutExchange = posFanoutExchange;
    }

    public String getPosQueue() {
        return posQueue;
    }

    public void setPosQueue(String posQueue) {
        this.posQueue = posQueue;
    }

    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setDeviceNo(String deviceNo)
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo()
    {
        return deviceNo;
    }
    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName()
    {
        return deviceName;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType()
    {
        return deviceType;
    }
    public void setDeviceSerialNum(String deviceSerialNum)
    {
        this.deviceSerialNum = deviceSerialNum;
    }

    public String getDeviceSerialNum()
    {
        return deviceSerialNum;
    }
    public void setGunNo(String gunNo)
    {
        this.gunNo = gunNo;
    }

    public String getGunNo()
    {
        return gunNo;
    }
    public void setDeviceStatus(String deviceStatus)
    {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceStatus()
    {
        return deviceStatus;
    }
    public void setDeviceFactory(String deviceFactory)
    {
        this.deviceFactory = deviceFactory;
    }

    public String getDeviceFactory()
    {
        return deviceFactory;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("deviceNo", getDeviceNo())
            .append("deviceName", getDeviceName())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("deviceType", getDeviceType())
            .append("deviceSerialNum", getDeviceSerialNum())
            .append("gunNo", getGunNo())
            .append("deviceStatus", getDeviceStatus())
            .append("deviceFactory", getDeviceFactory())
            .toString();
    }
}
